Skip to main content
GET
/
accounts
/
{account_id}
/
orders
List orders
curl --request GET \
  --url https://api.engine.usesophic.com/accounts/{account_id}/orders \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "status": "placed",
    "order_type": "<string>",
    "purpose": "user_request",
    "side": "buy",
    "instrument": {
      "id": "<string>",
      "name": "<string>",
      "symbol": "<string>",
      "instrument_type": "<unknown>",
      "trading_status": "buy_sell",
      "trading_increment": "<string>",
      "decimal_precision": 123,
      "pro_traders_only": true,
      "isin": "<string>",
      "issuer_country": "<string>",
      "minimum_trading_quantity": "<string>",
      "trading_currency": "EUR",
      "initial_issue_date": "2023-12-25",
      "enforce_trading_rules": true,
      "minimum_initial_cash_investment": "<string>",
      "required_cash_increment": 123,
      "maturity_date": "2023-12-25",
      "days_to_maturity": 123,
      "supports_automatic_rollover": true,
      "issuer_credit_rating": "<string>",
      "initial_auction_date": "2023-12-25",
      "latest_auction_date": "2023-12-25",
      "latest_issue_date": "2023-12-25",
      "ticker": "<string>",
      "issuer": "<string>"
    },
    "traded_quantity": "<string>",
    "traded_notional": "<string>",
    "fees": "<string>",
    "trades": [
      {
        "id": "<string>",
        "price": "<string>",
        "quantity": "<string>",
        "quantity_currency": "EUR",
        "notional": "<string>",
        "notional_currency": "EUR",
        "side": "buy",
        "status": "executed",
        "position": "<string>",
        "account": "<string>",
        "order": "<string>",
        "counterparty": "<string>",
        "instrument": {
          "id": "<string>",
          "name": "<string>",
          "symbol": "<string>",
          "instrument_type": "<unknown>",
          "trading_status": "buy_sell",
          "trading_increment": "<string>",
          "decimal_precision": 123,
          "pro_traders_only": true,
          "isin": "<string>",
          "issuer_country": "<string>",
          "minimum_trading_quantity": "<string>",
          "trading_currency": "EUR",
          "initial_issue_date": "2023-12-25",
          "enforce_trading_rules": true,
          "minimum_initial_cash_investment": "<string>",
          "required_cash_increment": 123,
          "maturity_date": "2023-12-25",
          "days_to_maturity": 123,
          "supports_automatic_rollover": true,
          "issuer_credit_rating": "<string>",
          "initial_auction_date": "2023-12-25",
          "latest_auction_date": "2023-12-25",
          "latest_issue_date": "2023-12-25",
          "ticker": "<string>",
          "issuer": "<string>"
        },
        "ytm": "<string>",
        "trading_venue": "<string>",
        "tvtic": "<string>",
        "execution_reference": "<string>",
        "execution_broker": "<string>",
        "execution_audit_trail": "<string>",
        "settlement_batch_id": "<string>",
        "is_reportable": true,
        "settlement_date": "2023-12-25",
        "executed_at": "2023-11-07T05:31:56Z",
        "settled_at": "2023-11-07T05:31:56Z",
        "meta": {},
        "created_at": "2023-11-07T05:31:56Z",
        "modified_at": "2023-11-07T05:31:56Z"
      }
    ],
    "created_at": "2023-11-07T05:31:56Z",
    "modified_at": "2023-11-07T05:31:56Z",
    "account": "<string>",
    "position": "<string>",
    "cash_amount": "<string>",
    "net_cash_amount": "<string>",
    "quantity": "<string>",
    "currency": "EUR",
    "automatic_rollover": true,
    "cancelled_reason": "<string>",
    "filled_at": "2023-11-07T05:31:56Z",
    "settled_at": "2023-11-07T05:31:56Z",
    "cancelled_at": "2023-11-07T05:31:56Z",
    "quoted_price_timestamp": "2023-11-07T05:31:56Z"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

account_id
string
required

Response

OK

id
string
required

Unique resource identifier.

status
enum<string>
required

The order status.

Available options:
placed,
pending,
executing,
filled,
settled,
cancelled
order_type
string
required

The order type (e.g. market, limit).

Allowed value: "market"
purpose
enum<string>
required

The order purpose, set by us.

Available options:
user_request,
rollover,
square_off,
backfill
side
enum<string>
required

Buy or sell.

Available options:
buy,
sell
instrument
Bill · object
required

The instrument to buy or sell.

traded_quantity
string
required

The sum of unit quantities of all order executions so far.

traded_notional
string
required

The sum of notional values of all order executions so far.

fees
string
required

The total fees for this order.

trades
OrderTrade · object[]
required

All trades executed to fill this order.

created_at
string<date-time>
required

The timestamp (in ISO-8601 format) of when the resource was created.

modified_at
string<date-time>
required

The timestamp (in ISO-8601 format) of when the resource was last modified.

account
string | null

The ID of the parent account. Orders placed by users always have a parent account. Orders placed by the system (e.g. for internal operations) do not.

position
string | null

The ID of the position this order is part of, if applicable. Note that the position is null before the order is executed.

cash_amount
string | null

The amount to invest (before fees). Buy orders are cash-based (you specify how much to invest, not how many units to buy).

net_cash_amount
string | null

The amount to invest after fees. This is what gets traded.

quantity
string | null

The number of units to sell. Sell orders are unit-based (you specify how many units to sell, not how much cash to receive).

currency
enum<string> | null

The order currency. For securities orders, this is the trading currency of the instrument. For FX orders, this is the base currency.

Available options:
EUR,
USD,
GBP
automatic_rollover
boolean | null

The customer's request for automatic rollover. Only has a value for buy orders in relevant instruments.

cancelled_reason
string | null

The reason for cancelling the order, if cancelled.

filled_at
string<date-time> | null

The fill timestamp (in ISO-8601 format).

settled_at
string<date-time> | null

The settlement timestamp (in ISO-8601 format).

cancelled_at
string<date-time> | null

The cancellation timestamp (in ISO-8601 format).

quoted_price_timestamp
string<date-time> | null

The exact timestamp of the price we quoted the client at the time of order (in ISO-8601 format), if applicable.